<?php

ob_start();
include_once get_template_directory() . '/functions/aromafashion-functions.php';
include_once get_template_directory() . '/functions/admin-functions.php';
include_once get_template_directory() . '/functions/admin-interface.php';
include_once get_template_directory() . '/functions/theme-options.php';

function aromafashion_get_option($name) {
    $options = get_option('aromafashion_options');
    if (isset($options[$name]))
        return $options[$name];
}

//update theme option
function aromafashion_update_option($name, $value) {
    $options = get_option('aromafashion_options');
    $options[$name] = $value;
    return update_option('aromafashion_options', $options);
}

//delete theme option
function aromafashion_delete_option($name) {
    $options = get_option('aromafashion_options');
    unset($options[$name]);
    return update_option('aromafashion_options', $options);
}

$options = get_option('aromafashion');
if (!empty($options) && isset($_REQUEST['activated']) && $_REQUEST['activated'] == 'true') {
    foreach ($options as $key => $val) {
        if ($val != '') {
            aromafashion_update_option($key, $val);
        }
    }
}


/* ----------------------------------------------------------------------------------- */
/* Styles Enqueue */
/* ----------------------------------------------------------------------------------- */

function aromafashion_add_stylesheet() {
    wp_enqueue_style('aromafashion_superfish', get_template_directory_uri() . "/css/superfish.css", '', '', 'all');
    wp_enqueue_style('aromafashion-media', get_template_directory_uri() . "/css/media.css", '', '', 'all');
}

add_action('init', 'aromafashion_add_stylesheet');
/* ----------------------------------------------------------------------------------- */
/* jQuery Enqueue */
/* ----------------------------------------------------------------------------------- */

function aromafashion_wp_enqueue_scripts() {
    if (!is_admin()) {
        wp_enqueue_script('jquery');
        wp_enqueue_script('aromafashion_sfish', get_template_directory_uri() . "/js/superfish.js", array('jquery'));
        wp_enqueue_script('aromafashion_tipsy', get_template_directory_uri() . '/js/jquery.tipsy.js', array('jquery'));
        wp_enqueue_script('aromafashion-responsive-menu-2', get_template_directory_uri() . '/js/menu/jquery.meanmenu.2.0.min.js', array('jquery'));
        wp_enqueue_script('aromafashion-responsive-menu-2-options', get_template_directory_uri() . '/js/menu/jquery.meanmenu.options.js', array('jquery'));
        wp_enqueue_script('aromafashion_custom', get_template_directory_uri() . '/js/custom.js', array('jquery'));
    } elseif (is_admin()) {
        
    }
}

add_action('wp_enqueue_scripts', 'aromafashion_wp_enqueue_scripts');

/**
 * Enqueues the javascript for comment replys 
 * 
 * */
function aromafashion_enqueue_scripts() {
    if (is_singular() and get_site_option('thread_comments')) {
        wp_print_scripts('comment-reply');
    }
}

add_action('wp_enqueue_scripts', 'aromafashion_enqueue_scripts');


//Front Page Rename
$get_status = aromafashion_get_option('re_nm');
$get_file_ac = get_template_directory() . '/front-page.php';
$get_file_dl = get_template_directory() . '/front-page-hold.php';
//True Part
if ($get_status === 'off' && file_exists($get_file_ac)) {
    rename("$get_file_ac", "$get_file_dl");
}
//False Part
if ($get_status === 'on' && file_exists($get_file_dl)) {
    rename("$get_file_dl", "$get_file_ac");
}
/**
 * Load plugin notification file
 */
require_once(get_template_directory() . '/functions/plugin-activation.php');
require_once(get_template_directory() . '/functions/aromafashion-plugin-notify.php');
add_action('tgmpa_register', 'aromafashion_plugins_notify');
ob_clean();
?>