<?php
/*
  /**
 * The main front page file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query. 
 * E.g., it puts together the home page when no home.php file exists.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 */
?>
<?php get_header(); ?>
<!--Start Slider-->
<div class="grid_24 slider">
    <div class="slider-container">
        <div id="slides">
            <div id="slide-box">
                <div class="slides_container col-full slide-fix" >
                    <div class="slide slide-1" >
                        <div class="slide-content entry fl">
                            <?php if (aromafashion_get_option('aromafashion_slideheading1') != '') { ?>
                                <h2 class="title"><a href="<?php echo aromafashion_get_option('aromafashion_slidelink1'); ?>"><?php echo aromafashion_get_option('aromafashion_slideheading1'); ?></a></h2>
                            <?php } else { ?>
                                <h2 class="title"><a href="#"><?php _e('Aroma Fashion Trends', 'aromafashion'); ?></a></h2>
                            <?php } ?> 
                            <?php if (aromafashion_get_option('aromafashion_slidedescription1') != '') { ?>
                                <p><?php echo aromafashion_get_option('aromafashion_slidedescription1'); ?></p>
                            <?php } else { ?>
                                <p><?php _e('Aroma Fashion sets trends for fashion industry and enhances the look by it way', 'colroway'); ?></p>
                            <?php } ?>
                        </div>
                        <!-- /.slide-content -->
                        <?php if (aromafashion_get_option('aromafashion_slideimage1') != '') { ?>
                            <div class="slide-image fl"><img  src="<?php echo aromafashion_get_option('aromafashion_slideimage1'); ?>" class="slide-img" alt="Slide 1"/> </div>
                        <?php } else { ?>
                            <div class="slide-image fl"><img  src="<?php echo get_template_directory_uri(); ?>/images/slider.jpg" class="slide-img" alt="Slide 1"/> </div>
                        <?php } ?>
                        <!-- /.slide-image -->
                        <div class="fix"></div>
                    </div>         
                </div>
                <!-- /.slides_container -->
            </div>
            <!-- /#slide-box -->
        </div>
        <!-- /#slides -->
    </div>
</div>
<div class="clear"></div>
<!--End Slider-->
<!--Start Content Grid-->
<div class="grid_24 content">
    <div class="content-wrapper">
        <div class="content-info home">
            <h2>
                <center>
                    <?php if (aromafashion_get_option('aromafashion_mainheading') != '') { ?>
                        <?php echo aromafashion_get_option('aromafashion_mainheading'); ?>
                    <?php } else { ?>
                        <?php _e('Lorem Ipsum has been the industry standard dummy text ever since the 1500s', 'aromafashion'); ?>
                    <?php } ?>
                </center>
            </h2>
        </div>
        <div class="clear"></div>
        <div  id="content">
            <div class="columns">
                <div class="one_fourth"> <a href="<?php echo aromafashion_get_option('aromafashion_link1'); ?>" class="bigthumbs">
                        <?php if (aromafashion_get_option('aromafashion_fimg1') != '') { ?>
                            <img src="<?php echo aromafashion_get_option('aromafashion_fimg1'); ?>"/>
                        <?php } else { ?>
                            <img src="<?php echo get_template_directory_uri(); ?>/images/1.jpg"/>
                        <?php } ?>
                    </a>
                    <?php if (aromafashion_get_option('aromafashion_headline1') != '') { ?>
                        <h2><a href="<?php echo aromafashion_get_option('aromafashion_link1'); ?>"><?php echo aromafashion_get_option('aromafashion_headline1'); ?></a></h2>
                    <?php } else { ?>
                        <h2><a href="#"><?php _e('Block 1', 'aromafashion'); ?></a></h2>
                    <?php } ?>
                    <?php if (aromafashion_get_option('aromafashion_feature1') != '') { ?>
                        <p><?php echo aromafashion_get_option('aromafashion_feature1'); ?></p>
                    <?php } else { ?>
                        <p><?php _e('Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industrys standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book.', 'aromafashion'); ?></p>
                    <?php } ?>
                </div>
                <div class="one_fourth middle"> <a href="<?php echo aromafashion_get_option('aromafashion_link2'); ?>" class="bigthumbs">
                        <?php if (aromafashion_get_option('aromafashion_fimg2') != '') { ?>
                            <img src="<?php echo aromafashion_get_option('aromafashion_fimg2'); ?>"/>
                        <?php } else { ?>
                            <img src="<?php echo get_template_directory_uri(); ?>/images/2.jpg"/>
                        <?php } ?>
                    </a>
                    <?php if (aromafashion_get_option('aromafashion_headline2') != '') { ?>
                        <h2><a href="<?php echo aromafashion_get_option('aromafashion_link2'); ?>"><?php echo aromafashion_get_option('aromafashion_headline2'); ?></a></h2>
                    <?php } else { ?>
                        <h2><a href="#"><?php _e('Block 2', 'aromafashion'); ?></a></h2>
                    <?php } ?>
                    <?php if (aromafashion_get_option('aromafashion_feature2') != '') { ?>
                        <p><?php echo aromafashion_get_option('aromafashion_feature2'); ?></p>
                    <?php } else { ?>
                        <p><?php _e('Many desktop publishing packages and web page editors now use Lorem Ipsum as their default model text, and a search for lorem ipsum will uncover many web sites still in their infancy', 'aromafashion'); ?></p>
                    <?php } ?>
                </div>
                <div class="one_fourth"> <a href="<?php echo aromafashion_get_option('aromafashion_link3'); ?>" class="bigthumbs">
                        <?php if (aromafashion_get_option('aromafashion_fimg3') != '') { ?>
                            <img src="<?php echo aromafashion_get_option('aromafashion_fimg3'); ?>"/>
                        <?php } else { ?>
                            <img src="<?php echo get_template_directory_uri(); ?>/images/3.jpg"/>
                        <?php } ?>
                    </a>
                    <?php if (aromafashion_get_option('aromafashion_headline3') != '') { ?>
                        <h2><a href="<?php echo aromafashion_get_option('aromafashion_link3'); ?>"><?php echo aromafashion_get_option('aromafashion_headline3'); ?></a></h2>
                    <?php } else { ?>
                        <h2><a href="#"><?php _e('Block 3', 'aromafashion'); ?></a></h2>
                    <?php } ?>
                    <?php if (aromafashion_get_option('aromafashion_feature3') != '') { ?>
                        <p><?php echo aromafashion_get_option('aromafashion_feature3'); ?></p>
                    <?php } else { ?>
                        <p><?php _e('Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.', 'aromafashion'); ?></p>
                    <?php } ?>
                </div>
                <div class="one_fourth last"> <a href="<?php echo aromafashion_get_option('aromafashion_link4'); ?>" class="bigthumbs">
                        <?php if (aromafashion_get_option('aromafashion_fimg4') != '') { ?>
                            <img src="<?php echo aromafashion_get_option('aromafashion_fimg4'); ?>"/>
                        <?php } else { ?>
                            <img src="<?php echo get_template_directory_uri(); ?>/images/4.jpg"/>
                        <?php } ?>
                    </a>
                    <?php if (aromafashion_get_option('aromafashion_headline4') != '') { ?>
                        <h2><a href="<?php echo aromafashion_get_option('aromafashion_link4'); ?>"><?php echo aromafashion_get_option('aromafashion_headline4'); ?></a></h2>
                    <?php } else { ?>
                        <h2><a href="#"><?php _e('Block 4', 'aromafashion'); ?></a></h2>
                    <?php } ?>
                    <?php if (aromafashion_get_option('aromafashion_feature4') != '') { ?>
                        <p><?php echo aromafashion_get_option('aromafashion_feature4'); ?></p>
                    <?php } else { ?>
                        <p><?php _e('Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.', 'aromafashion'); ?></p>
                    <?php } ?>
                </div>
            </div>            
        </div>        
        <div class="clear"></div>
        <div class="home_page_blog">
            <div class="grid_16 alpha">
                <div class="content-wrap home">
                    <?php if (aromafashion_get_option('aromafashion_blog_head') != '') { ?>
                        <h1 class="blog_head"><?php echo stripslashes(aromafashion_get_option('aromafashion_blog_head')); ?></h1>
                    <?php } else { ?>
                        <h1 class="blog_head"><?php _e('From The Blog', 'aromafashion'); ?></h1>
                    <?php } ?> 
                    <div class="blog" id="blogmain">
                        <ul class="blog_post">
                            <!-- Start the Loop. -->
                            <?php query_posts('posts_per_page=3'); ?>
                            <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
                                    <li id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                                        <?php if ((function_exists('has_post_thumbnail')) && (has_post_thumbnail())) { ?>
                                            <a href="<?php the_permalink(); ?>">
                                                <?php the_post_thumbnail('post_thumbnail', array('class' => 'postimg')); ?>
                                            </a>
                                            <?php
                                        } else {
                                            echo aromafashion_main_image();
                                        }
                                        ?>
                                        <h1><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h1>
                                        <?php echo aromafashion_custom_trim_excerpt(25); ?>
                                        <a href="<?php the_permalink() ?>"><?php _e('Continue Reading...', 'aromafashion'); ?></a> </li>
                                    <!-- End the Loop. -->
                                <?php endwhile;
                            else:
                                ?>
                                <li>
                                    <p> <?php _e('Sorry, no posts matched your criteria.', 'aromafashion'); ?> </p>
                                </li>
<?php endif; ?>
                        </ul>
                    </div>
                </div>
            </div>
            
        </div>
        <div class="clear"></div>
        <?php if (aromafashion_get_option('aromafashion_testimonial') != '') { ?>
            <blockquote class="home_blockquote"><?php echo aromafashion_get_option('aromafashion_testimonial'); ?></blockquote>
            <?php } else { ?>
            <blockquote class="home_blockquote"><?php _e('If you are going to use a passage of Lorem Ipsum, you need to be sure there isnt anything embarrassing hidden in the middle of text. All the Lorem Ipsum generators on the Internet tend to repeat predefined chunks as necessary, making this the first true generator on the Internet.<br />
                Aroma Fashion', 'aromafashion'); ?></blockquote>
<?php } ?>
    </div>
    <div class="clear"></div>
</div>
<div class="clear"></div>
<!--End Content Grid-->
</div>
<!--End Container Div-->
<?php get_footer(); ?>
